#!/bin/sh

Task=$1
ServerRoot=/usr/local/apache
DocumentRoot=${ServerRoot}/htdocs
LessonDir=/home/packages/lessons

case "$Task" in
1[bB]1)
   TASK=task1b1
   SubDirs=""
   CFG=1b-1
   ;;
3[cC]1)
   TASK=task3c1
   SubDirs=paris
   CFG=3c-1
   ;;
4[bB]1)
   TASK=""
   SubDirs=""
   CFG=4b-1
   ;;
4[dD]1)
   TASK=task4d1
   SubDirs=""
   CFG=""
   ;;
5[bB]1)
   TASK=task5b1
   SubDirs="AmericansInParis"
   CFG=5b-1
   ;;
5[cC]1)
   TASK=task5c1
   SubDirs="AmericansInParis testme"
   CFG=5c-1
   ;;
5[dD]1)
   TASK=task5d1
   SubDirs="AmericansInParis"
   CFG=5d-1
   ;;
5[fF]1)
   TASK=task5f1
   SubDirs="ImapExample"
   CFG=5f-1
   ;;
7[aA]3)
   TASK=""
   SubDirs=""
   CFG=7a-3
   ;;
7[bB]1)
   TASK=task7b1
   SubDirs=""
   CFG=7b-1
   ;;
7[bB]2)
   TASK=""
   SubDirs=""
   CFG=7b-2
   ;;
7[cC]1)
   TASK=""
   SubDirs=""
   CFG=7c-1
   ;;  
7[cC]2)
   TASK=""
   SubDirs=""
   CFG=7c-2
   ;;
esac

echo "Preparing Web site for $TASK..."

cd $DocumentRoot

if [ "X$TASK" != "X" ];then
   for file in *
   do
      if [ $file != manual ];then
         rm -rf $file
      fi
   done
fi

if [ "X$SubDirs" != "X" ];then
   for Dir in $SubDirs
   do
      mkdir $DocumentRoot/$Dir
   done
fi

if [ "X$TASK" != "X" ];then
   cd $LessonDir/$TASK
   for file in *
   do
      if [ -d $file ];then
         if [ $file = "cgi-bin" ];then
            cp $file/* $DocumentRoot/../cgi-bin
         else
            cp $file/* $DocumentRoot/$file
         fi
      else
         cp $file $DocumentRoot
      fi
   done
fi

if [ "X$CFG" != "X" ];then
   if [ -f $LessonDir/ConfigFiles/httpd.conf.${CFG} ];then
      cp $LessonDir/ConfigFiles/httpd.conf.${CFG} $ServerRoot/conf
   fi
fi
